package org.beigesoft.webstore.persistable;

/*
 * Copyright (c) 2017 Beigesoft ™
 *
 * Licensed under the GNU General Public License (GPL), Version 2.0
 * (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html
 */

import org.beigesoft.persistable.AHasNameIdLongVersion;
import org.beigesoft.accounting.persistable.DebtorCreditor;

/**
 * <pre>
 * Model of OnlineBuyer (autogenerated ID).
 * </pre>
 *
 * @author Yury Demidenko
 */
public class OnlineBuyer extends AHasNameIdLongVersion {

  /**
   * <p>Registered Password, null for unregistered buyer.</p>
   **/
  private String registeredPassword;

  /**
   * <p>Registered customer, null for unregistered buyer.</p>
   **/
  private DebtorCreditor regCustomer;

  /**
   * <p>Registered email, if applied.</p>
   **/
  private String regEmail;

  /**
   * <p>Registered address1, if applied.</p>
   **/
  private String regAddress1;

  /**
   * <p>Registered address2, if applied.</p>
   **/
  private String regAddress2;

  /**
   * <p>Registered Zip, if applied.</p>
   **/
  private String regZip;

  /**
   * <p>Registered Country, if applied.</p>
   **/
  private String regCountry;

  /**
   * <p>Registered State, if applied.</p>
   **/
  private String regState;

  /**
   * <p>Registered City, if applied.</p>
   **/
  private String regCity;

  /**
   * <p>Registered Phone, if applied.</p>
   **/
  private String regPhone;

  //Simple getters and setters:
  /**
   * <p>Getter for registeredPassword.</p>
   * @return String
   **/
  public final String getRegisteredPassword() {
    return this.registeredPassword;
  }

  /**
   * <p>Setter for registeredPassword.</p>
   * @param pRegisteredPassword reference
   **/
  public final void setRegisteredPassword(final String pRegisteredPassword) {
    this.registeredPassword = pRegisteredPassword;
  }

  /**
   * <p>Getter for regCustomer.</p>
   * @return DebtorCreditor
   **/
  public final DebtorCreditor getRegCustomer() {
    return this.regCustomer;
  }

  /**
   * <p>Setter for regCustomer.</p>
   * @param pRegCustomer reference
   **/
  public final void setRegCustomer(final DebtorCreditor pRegCustomer) {
    this.regCustomer = pRegCustomer;
  }

  /**
   * <p>Getter for regEmail.</p>
   * @return String
   **/
  public final String getRegEmail() {
    return this.regEmail;
  }

  /**
   * <p>Setter for regEmail.</p>
   * @param pRegEmail reference
   **/
  public final void setRegEmail(final String pRegEmail) {
    this.regEmail = pRegEmail;
  }

  /**
   * <p>Getter for regAddress1.</p>
   * @return String
   **/
  public final String getRegAddress1() {
    return this.regAddress1;
  }

  /**
   * <p>Setter for regAddress1.</p>
   * @param pRegAddress1 reference
   **/
  public final void setRegAddress1(final String pRegAddress1) {
    this.regAddress1 = pRegAddress1;
  }

  /**
   * <p>Getter for regAddress2.</p>
   * @return String
   **/
  public final String getRegAddress2() {
    return this.regAddress2;
  }

  /**
   * <p>Setter for regAddress2.</p>
   * @param pRegAddress2 reference
   **/
  public final void setRegAddress2(final String pRegAddress2) {
    this.regAddress2 = pRegAddress2;
  }

  /**
   * <p>Getter for regZip.</p>
   * @return String
   **/
  public final String getRegZip() {
    return this.regZip;
  }

  /**
   * <p>Setter for regZip.</p>
   * @param pRegZip reference
   **/
  public final void setRegZip(final String pRegZip) {
    this.regZip = pRegZip;
  }

  /**
   * <p>Getter for regCountry.</p>
   * @return String
   **/
  public final String getRegCountry() {
    return this.regCountry;
  }

  /**
   * <p>Setter for regCountry.</p>
   * @param pRegCountry reference
   **/
  public final void setRegCountry(final String pRegCountry) {
    this.regCountry = pRegCountry;
  }

  /**
   * <p>Getter for regState.</p>
   * @return String
   **/
  public final String getRegState() {
    return this.regState;
  }

  /**
   * <p>Setter for regState.</p>
   * @param pRegState reference
   **/
  public final void setRegState(final String pRegState) {
    this.regState = pRegState;
  }

  /**
   * <p>Getter for regCity.</p>
   * @return String
   **/
  public final String getRegCity() {
    return this.regCity;
  }

  /**
   * <p>Setter for regCity.</p>
   * @param pRegCity reference
   **/
  public final void setRegCity(final String pRegCity) {
    this.regCity = pRegCity;
  }

  /**
   * <p>Getter for regPhone.</p>
   * @return Long
   **/
  public final String getRegPhone() {
    return this.regPhone;
  }

  /**
   * <p>Setter for regPhone.</p>
   * @param pRegPhone reference
   **/
  public final void setRegPhone(final String pRegPhone) {
    this.regPhone = pRegPhone;
  }
}
